## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.2
%bcond_without check

# https://github.com/gdamore/tcell
%global goipath         github.com/gdamore/tcell/v2
Version:                2.5.4

%gometa

%global common_description %{expand:
Tcell is an alternate terminal package, similar in some ways to termbox, but
better in others.}

%global golicenses      LICENSE
%global godocs          CHANGESv2.md AUTHORS TUTORIAL.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Alternate terminal package

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}

# These are all needed for rebuilding the terminfo database.
BuildRequires:  kitty-terminfo
BuildRequires:  ncurses
BuildRequires:  ncurses-base
BuildRequires:  ncurses-term
BuildRequires:  rxvt-unicode


%description %{common_description}

%gopkg

%prep
%goprep

# Use existing sources for:
# * foot, as we have no source since it isn't packaged
# * sun, which is hand-coded, not generated
# * xterm-direct, which is hand-coded, not generated
# * xterm-termite, as we have no source since it isn't packaged
find terminfo/?/ \! -path '*foot/foot.go' -a \! -path '*sun/term.go' -a \! -path '*xterm/direct.go' -a \! -path '*xterm_termite/term.go' -type f -delete
sed -i 's/go run mkinfo.go/$1/g' terminfo/gen.sh

%generate_buildrequires
%go_generate_buildrequires

%build
# Rebuild database from source.
%gobuild -o %{gobuilddir}/bin/mkinfo terminfo/mkinfo.go
pushd terminfo
bash -x gen.sh %{gobuilddir}/bin/mkinfo
popd

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc CHANGESv2.md AUTHORS TUTORIAL.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jan 05 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> 2.5.4-1
- Update to 2.5.4 - Closes rhbz#2157883

* Mon Aug 22 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.5.3-1
- Update to latest version (#2120046)

* Mon Aug 01 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.5.2-1
- Update to latest version (#2076062)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 2.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> 2.5.0-3
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> 2.5.0-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Apr 07 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> 2.5.0-1
- Update to latest version (#2071807)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 18 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.4.0-1
- Update to latest version (#1983376)

* Sat Jun 12 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.11-1
- Update to latest version (#1966473)

* Thu May 20 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.3-1
- Update to latest version (#1962134)

* Sun May 16 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.3.1-1
- Update to latest version (#1960989)

* Mon Apr 19 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.2.1-1
- Update to latest version (#1950835)

* Tue Feb 23 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.2.0-1
- Update to latest version

* Mon Dec 28 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.1.0-1
- Update to v2; new package for new import path

* Thu Aug 27 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4.0-1
- Update to latest version
- Fix regeneration of terminfo

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 23 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.3.0-1
- Update to latest version

* Sun Aug 18 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2.0-1
- Update to latest version

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 10 04:28:28 EDT 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.4-1
- Update to latest version

* Sun Jun 02 17:25:48 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.1.2-1
- Release 1.1.2

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 14 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.1-1
- Update to latest version

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 1.1.0-2
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Wed Oct 10 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1.0-1
- Update to latest version
- Rebuild terminfo from Fedora information

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 07 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.0.0-2
- Re-template against More Go Packaging guidelines

* Fri Mar 16 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.0.0-1
- Update to first released version
- Check build of demos

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.20170807gitd55f61c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.1.20170807gitd55f61c
- Add commit date to revision

* Fri Aug 18 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.1.gitd55f61c
- Initial package for Fedora

